Summary:	A multi-tabbed X terminal emulator based on rxvt
Name:		mrxvt
Version:	0.5.4
Release:	%mkrel 18
Source0:	%{name}-%{version}.tar.bz2
Patch0:		mrxvt-0.5.4-libpng1.4.patch
Patch1:		mrxvt-0.5.4-automake-1.13.patch
License:	GPLv2
Group:		Terminals
Url:		https://materm.sourceforge.net/
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
# X11 locales are required to build IM support
BuildRequires:	libx11-common
BuildRequires:	imagemagick
Patch2:         mrxvt-0.5.4-gcc10-fno-common.patch
Patch3:         CVE-2021-33477.patch

%description
Mrxvt is a lightweight and powerful multi-tabbed X terminal emulator based on
the popular emulators rxvt and aterm. It implements many useful features seen
in modern X terminal emulators such as gnome-terminal and konsole while
remaining lightweight and independent of the GNOME and KDE desktop
environments.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1 -b .automake-1_13
%patch -P 2 -p1 -b .gcc10
%patch -P 3 -p1 -b .CVE-2021-33477

%build
autoreconf -fi
%configure --disable-debug --enable-keepscrolling --enable-selectionscrolling  --enable-mousewheel --enable-24bits --enable-xft --enable-xim --enable-greek --enable-cjk
%make_build

%install
%make_install
rm -rf %{buildroot}/usr/share/doc/mrxvt

# menu entries

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Mrxvt
Comment=A multi-tabbed X terminal emulator
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=TerminalEmulator;System;
EOF


install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}

convert -resize 48x48 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -resize 16x16 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -resize 32x32 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

%files
%doc AUTHORS COPYING INSTALL NEWS README TODO ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%{_datadir}/applications/*





%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.5.4-18.mga10
+ Revision: 2127860
- Rebuild for patchN deprecation

* Thu Mar 31 2022 umeabot <umeabot> 0.5.4-17.mga9
+ Revision: 1836968
- Mageia 9 Mass Rebuild

* Thu Jul 08 2021 ns80 <ns80> 0.5.4-16.mga9
+ Revision: 1735158
- add Debian patch for CVE-2021-33477 (mga#28939)

* Sun Jun 28 2020 joequant <joequant> 0.5.4-15.mga8
+ Revision: 1599916
- bump version
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 0.5.4-14.mga8
+ Revision: 1515253
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.4-13.mga7
+ Revision: 1299630
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.5.4-12.mga6
+ Revision: 946725
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4-11.mga5
+ Revision: 750875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.4-10.mga5
+ Revision: 682660
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.4-9.mga4
+ Revision: 526183
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.5.4-8.mga4
+ Revision: 436016
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.5.4-7.mga3
+ Revision: 360456
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.5.4-6.mga3
+ Revision: 339978
- patch1: fix build with automake 1.13

* Thu Sep 15 2011 fwang <fwang> 0.5.4-5.mga2
+ Revision: 143710
- support libpng1.5

* Tue Apr 26 2011 wally <wally> 0.5.4-4.mga2
+ Revision: 91770
- fix desktop file name (mga#954)
- fix exec line in desktop file

* Tue Apr 19 2011 ennael <ennael> 0.5.4-3.mga1
+ Revision: 88318
- clean spec file
- imported package mrxvt

